package org.springblade.customer.service;

import org.springblade.customer.dto.FctCsIrregularDTO;
import org.springblade.customer.entity.FctCsIrregular;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 客服不规范定制数据表 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
public interface IFctCsIrregularService extends IService<FctCsIrregular> {

	boolean insertBatch(List<FctCsIrregularDTO> excelList);

	boolean deleteOldData(String sTime, String eTime,String spcode);

	void setSpid();

	void setTheday();

	void deleteInvisibleDatay(String sTime, String eTime);

	void deleteInvisibleDataw(String sTime, String eTime);

	void deleteInvisibleDatas(String sTime, String eTime);

	void callData1(String sTime);

	void callData12(String substring);

}
